<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

session_start(); 
?>
<?php if ((@$HTTP_SESSION_VARS["etat_log"] <> "connecte") or ((@$HTTP_SESSION_VARS["niv_log"] <> 9) AND (@$HTTP_SESSION_VARS["niv_log"] <> 5))) header("Location: ../index.php") ?>
<?php include ("../inc/config.inc.php") ?>
<?php include ("../inc/func.inc.php") ?>
<?php include ("../inc/func_log.inc.php") ?>
<?php include ("../inc/fic.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$typdde = strip_tags(trim(@$_POST["typdde"]));

		$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
		$fam = str_majuscules(strip_tags(trim(@$_POST["fam"])));
		$des = str_majuscules(strip_tags(trim(@$_POST["des"])));
		$det = strip_tags(trim(@$_POST["det"]));
		$pu = strip_tags(trim(@$_POST["pu"]));
		$vendu = strip_tags(trim(@$_POST["vendu"]));
		if ($vendu == "Oui")
			$venteok = TRUE;
		else
			$venteok = FALSE;

		$retourliste = TRUE;
		$codeuser = @$HTTP_SESSION_VARS["code_log"];

		if ($typdde == "add")
		{
			// Ajout de la fiche Produit
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "SELECT * FROM " .TBPDT. " WHERE pdt_code = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs) == 0)
			{
				$rech2 = "INSERT INTO " .TBPDT;
				$rech2 .= " (pdt_datecrea,pdt_codecrea,pdt_datemod,pdt_codemod,pdt_code,pdt_fam,pdt_des,pdt_detail,pdt_puttc,pdt_vendu) VALUES";
				$rech2 .= " ('$datea','$codeuser','$datea','$codeuser','$code','$fam','$des','$det','$pu','$venteok')";
				$rs2 = mysql_query($rech2) or die(mysql_error());

				$msg = "Fiche Ajoutée avec succès !";			
			}
			else
			{
				$msg = "Ce code existe déjà !";
				$retourliste = FALSE;
			}
			mysql_free_result($rs);
			mysql_close($conn);

		}

		if ($typdde == "edit")
		{
			$existeint = FALSE;
			
			if ($venteok == FALSE)
			{
				// Vérifie si utilisé dans une fiche intervention non close
				
				if (exist_pdt_in_int_ouv($code) == TRUE)
				{
					$existeint = TRUE;
					$msg = "Ce produit est présent dans une fiche intervention non close.<br>Il faut le supprimer de cette fiche.";
					$retourliste = FALSE;
				}
			}
			
			if ($existeint == FALSE)
			{	
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
	
				// MAJ de la fiche Produit
			
				$rech = "UPDATE `" .TBPDT. "` SET `pdt_datemod`='".$datea."', `pdt_codemod`='".$codeuser."', `pdt_code`='".$code."', `pdt_fam`='".$fam."', `pdt_des`='".$des."', `pdt_detail`='".$det."', `pdt_puttc`='".$pu."', `pdt_vendu`='".$venteok."'   WHERE `pdt_code` = '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());
	
				mysql_close($conn);

				$msg = "Fiche modifiée avec succès !";
			}
		}
		
		if ($typdde == "del")
		{
			$existint = FALSE;

			// Vérifie si utilisée dans une fiche intervention
			if (exist_pdt_in_int($code) == TRUE)
			{
				$existint = TRUE;
				$msg = "Ce produit est déjà utilisé dans une fiche intervention.<br>Passez-le en mode 'non commercialisé'.";
				$retourliste = FALSE;
			}
			
			if ($existint == FALSE)			
			{
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);

				// SUPPRESSION de la fiche Produit

				$rech = "DELETE FROM `" .TBPDT. "` WHERE `pdt_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
	
				mysql_close($conn);

				$msg = "Fiche supprimée avec succès !";
			}	
		}
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Produit</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

</head>
<body>

<?php 
	include_once ("../inc/entete.php"); 
?>


<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>

<?PHP if ($retourliste == FALSE) { ?>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="pdt_lst.php?ta=m"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="pdt_lst.php?ta=m" class="annot_gras_it">Retour &agrave; la liste</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP } else { ?>
	<p align="center" class="annot_std_it">Retour à la liste dans 2 secondes...</p>
	<script type="text/javascript">
	window.setTimeout("location=('pdt_lst.php?ta=m');",2000)
	</script>
<?PHP } ?>

<?php 
	include_once ("pied.php")
?>

